commit:     2a1834d4c38cfd33f55b9840eaaac73288ac155f
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Thu Mar 20 14:41:25 2025 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 22 06:40:57 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a1834d4

app-office/onlyoffice-bin: add 8.3.2

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/41192
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-office/onlyoffice-bin/Manifest                 |  1 +
 .../onlyoffice-bin/onlyoffice-bin-8.3.2.ebuild     | 84 ++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/app-office/onlyoffice-bin/Manifest 
b/app-office/onlyoffice-bin/Manifest
index 219cebc8824e..0959f5216a7d 100644
--- a/app-office/onlyoffice-bin/Manifest
+++ b/app-office/onlyoffice-bin/Manifest
@@ -1,3 +1,4 @@
 DIST onlyoffice-bin-8.2.2_amd64.deb 283250472 BLAKE2B 
ea4a66b337297e68ecb3a0ec9692640454d84849b991df11891d085f3e23df2023432be251f2c2bd7c63240d75db3e29982ac02ae87b0d66223ec21557ae6f7d
 SHA512 
34e58e1f35e63c28b264756918e11cba38c66b1de9a0f7c4bed62ea34f5c891923fed80ccb26301ae21e6f2111e03f5251d3a1a052d9c4a0b1ac47f1a9653b4e
 DIST onlyoffice-bin-8.3.0_amd64.deb 288699292 BLAKE2B 
0dbda0e98004f87911c9ce58558db4f2cae9f3aabaf7d7259a106a1ddb98755c80c3f1568ff1542752ff6161d93867b04308b56d50cf6ae83552a6ee792496d7
 SHA512 
262e65613ff13f16767cf6f1350d27ffe5c9894956318ff3a513d9a032c6c3cfdc879a05e3b4deb7c214392e90f1e271350c35a52045ac08daf6a76de656f29e
 DIST onlyoffice-bin-8.3.1_amd64.deb 288553876 BLAKE2B 
e27ae4e05d3202098aa38f0e79f8f144c2aaf8c880fe19113de608f27ccf82c9d9854dc9eef94d873b87b2faaba80512f0f5a076a0583586d58c8dc98b6c89df
 SHA512 
82fd15b29cf89d4deb6ed84db41576a075d06bb2db354affa6f806e5348863829ca06284876dc245985ab43882a97f95f9443800e51c2e11009b941c82676e26
+DIST onlyoffice-bin-8.3.2_amd64.deb 288687152 BLAKE2B 
56ec27fbb33b800f19c08599734e101daab34eb6ad2d62319edc612f48434c8ee1f691dd9396d64a38b67f7a5359e700476c2887349eac57ab26890748001321
 SHA512 
196f8728dd581a85e374ea7284cb3d9ec759a80958afdca2e5d1c152d94b2f58b79dc66dc21aa649a5a610eaf1b6cb0a13960f194e6e4fd85747e62760254c34

diff --git a/app-office/onlyoffice-bin/onlyoffice-bin-8.3.2.ebuild 
b/app-office/onlyoffice-bin/onlyoffice-bin-8.3.2.ebuild
new file mode 100644
index 000000000000..ae2d74e6a36e
--- /dev/null
+++ b/app-office/onlyoffice-bin/onlyoffice-bin-8.3.2.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop unpacker xdg
+
+MY_P="ONLYOFFICE-DesktopEditors-"${PV}""
+
+DESCRIPTION="Onlyoffice is an office productivity suite (binary version)"
+HOMEPAGE="https://www.onlyoffice.com/";
+SRC_URI="
+       amd64? (
+               
https://github.com/ONLYOFFICE/DesktopEditors/releases/download/v"${PV}"/onlyoffice-desktopeditors_amd64.deb
+               -> "${P}"_amd64.deb
+       )
+"
+S="${WORKDIR}"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="mirror strip test"
+
+RDEPEND="
+       >=app-accessibility/at-spi2-core-2.46.0:2
+       dev-libs/expat
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5[eglfs]
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/freetype
+       media-libs/gst-plugins-base:1.0
+       media-libs/gstreamer:1.0
+       media-libs/libglvnd
+       media-libs/mesa
+       net-print/cups
+       sys-apps/dbus
+       sys-devel/gcc
+       sys-libs/glibc
+       x11-libs/cairo
+       x11-libs/gtk+:3
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libdrm
+       x11-libs/libxcb
+       x11-libs/libxkbcommon
+       x11-libs/pango
+       || (
+               media-libs/libpulse
+               media-sound/apulse
+       )
+"
+
+QA_PREBUILT="*"
+
+src_prepare() {
+       default
+
+       # Allow launching the ONLYOFFICE on ALSA systems via media-sound/apulse
+       sed -i -e "/^export LD_LIBRARY_PATH=/ 
s|$|:${EPREFIX}/usr/$(get_libdir)/apulse|" \
+               "${S}"/usr/bin/onlyoffice-desktopeditors || die
+}
+
+src_install() {
+       domenu usr/share/applications/onlyoffice-desktopeditors.desktop
+       for size in {16,24,32,48,64,128,256}; do
+               doicon -s ${size} 
usr/share/icons/hicolor/${size}x${size}/apps/onlyoffice-desktopeditors.png
+       done
+
+       dobin usr/bin/desktopeditors usr/bin/onlyoffice-desktopeditors
+       doins -r opt
+       fperms +x 
/opt/onlyoffice/desktopeditors/{DesktopEditors,editors_helper,converter/x2t}
+}

Reply via email to